Name:          snappy
Version:       1.2.2
Release:       1mamba
Summary:       A fast compression/decompression library
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://google.github.io/snappy/
Source:        https://github.com/google/snappy.git/%{version}/snappy-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: liblzo-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Snappy is a compression/decompression library.
It does not aim for maximum compression, or compatibility with any other compression library; instead, it aims for very high speeds and reasonable compression.
For instance, compared to the fastest mode of zlib, Snappy is an order of magnitude faster for most inputs, but the resulting compressed files are anywhere from 20% to 100% bigger.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A fast compression/decompression library

%description -n lib%{name}
Snappy is a compression/decompression library.
It does not aim for maximum compression, or compatibility with any other compression library; instead, it aims for very high speeds and reasonable compression.
For instance, compared to the fastest mode of zlib, Snappy is an order of magnitude faster for most inputs, but the resulting compressed files are anywhere from 20% to 100% bigger.
	
%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q

%build
%cmake -d build \
\
    -DCMAKE_CXX_STANDARD=14 \
    -DSNAPPY_BUILD_TESTS=OFF \
	-DSNAPPY_BUILD_BENCHMARKS=OFF

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libsnappy.so.*
%doc AUTHORS

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/snappy-c.h
%{_includedir}/snappy-sinksource.h
%{_includedir}/snappy-stubs-public.h
%{_includedir}/snappy.h
%{_libdir}/libsnappy.so
%dir %{_libdir}/cmake/Snappy
%{_libdir}/cmake/Snappy/Snappy*.cmake

%changelog
* Fri Mar 28 2025 Automatic Build System <autodist@openmamba.org> 1.2.2-1mamba
- automatic version update by autodist

* Fri Jun 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- update to 1.2.1

* Sat Sep 17 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.9-1mamba
- update to 1.1.9

* Sun Aug 19 2018 Automatic Build System <autodist@mambasoft.it> 1.1.7-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Fri Feb 26 2016 Davide Madrisan <davide.madrisan@gmail.com> 1.1.3-2mamba
- Update the list of build requirements

* Wed Sep 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-1mamba
- update to 1.1.3

* Fri Sep 19 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-1mamba
- update to 1.1.2

* Fri Sep 19 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- package created using the webbuild interface
